# Web Widget Text Markdown

This module adds a new widget for text field in form view on Odoo:

- In readonly mode, it uses text contents to parse and render them to html markdown syntax.
- In write mode, use [bootstrap-markdown][1]

[1]: bootstrap-markdown

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
  - Maintainers

# Usage

Your XML form view definition should contain:

    ...
    <field name="field_name" widget="bootstrap_markdown"/>
    ...

# Known issues / Roadmap

- Can’t create attachments on virtual records
- Improve user experience with Odoo specific syntax
- Improve user experience with Github specific syntax

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Alexandre Díaz
- Komit
- Sudokeys
- Sunflower IT

## Contributors

- Nicolas Jeudy <nicolas@sudokeys.com>
- Nguyen Tan Phuc <phuc.nt@komit-consulting.com>
- Alexandre Díaz <dev@redneboa.es>
- Tom Blauwendraat <tom@sunflowerweb.nl>
- Kevin Kamau <kevin@sunflowerweb.nl>
- Helly kapatel <helly.kapatel@initos.com>

## Other credits

- Komit https://komit-consulting.com

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.